uclibc issue with gcc 5.1

Submitted by Reinoud Koornstra on April 27, 2015, 9:51 p.m.

Details

Message ID CAAA5faEcXqLqFgbQio2RSG3OMzjmpLzVzgQi_X_-Vd__9b86kg@mail.gmail.com
State New
Headers show

Commit Message

Reinoud Koornstra April 27, 2015, 9:51 p.m.
Hi Everyone,

I'm trying to compile the toolchain witg gcc 5.1
uclibc doesn't link anymore for a reason I don't know yet.
I changed config/cc/gcc.in to include gcc 5.1, stage1 and stage 2
compiling of gcc work fine.
The diff for gcc.in:


The error I got when compiling uclibc is the following, I just don't
currently why I'm not getting it a gcc 4.x

[ALL  ]      AS librt/mq_timedreceive.oS
[ALL  ]      AS librt/mq_timedsend.oS
[ALL  ]      AR cr librt/librt_so.a
[ALL  ]      STRIP -x -R .note -R .comment librt/librt_so.a
[ALL  ]      LD librt-0.9.33.2.so
[ALL  ]    librt/librt_so.a(rt-unwind-resume.oS): In function `_Unwind_Resume':
[ALL  ]    rt-unwind-resume.c:(.text+0x3c): undefined reference to
`libgcc_s_resume'
[ERROR]    collect2: error: ld returned 1 exit status
[ERROR]    make[1]: *** [lib/librt.so] Error 1

--
For unsubscribe information see http://sourceware.org/lists.html#faq

Comments

Bryan Hundven April 27, 2015, 9:54 p.m.
Reinoud,

On Mon, Apr 27, 2015 at 2:51 PM, Reinoud Koornstra
<reinoudkoornstra@gmail.com> wrote:
> Hi Everyone,
>
> I'm trying to compile the toolchain witg gcc 5.1
> uclibc doesn't link anymore for a reason I don't know yet.
> I changed config/cc/gcc.in to include gcc 5.1, stage1 and stage 2
> compiling of gcc work fine.
> The diff for gcc.in:
>
> --- config/cc/gcc.in.old        2015-04-27 15:08:09.626475063 -0600
> +++ config/cc/gcc.in    2015-04-27 15:08:32.117392406 -0600
> @@ -36,6 +36,11 @@
>  # Don't remove next line
>  # CT_INSERT_VERSION_BELOW
>
> +config CC_V_5_1_0
> +    bool
> +    prompt "5.1.0"
> +    select CC_GCC_5_1
> +
>  config CC_V_linaro_4_9
>      bool
>      prompt "linaro-4.9-2015.03"
> @@ -409,9 +414,27 @@
>      bool
>      select CC_GCC_4_8_or_later
>
> -config CC_GCC_latest
> +config CC_GCC_5_1
> +    bool
> +    select CC_GCC_5_1_or_later
> +    select CC_GCC_USE_GMP_MPFR
> +    select CC_GCC_USE_MPC
> +    select CC_GCC_HAS_GRAPHITE
> +    select CC_GCC_HAS_LTO
> +    select CC_GCC_HAS_PKGVERSION_BUGURL
> +    select CC_GCC_HAS_BUILD_ID
> +    select CC_GCC_HAS_LNK_HASH_STYLE
> +    select CC_GCC_HAS_LIBQUADMATH
> +    select CC_GCC_HAS_LIBSANITIZER
> +    select CC_SUPPORT_GOLANG
> +
> +config CC_GCC_5_1_or_later
>      bool
>      select CC_GCC_4_9_or_later
> +
> +config CC_GCC_latest
> +    bool
> +    select CC_GCC_5_1_or_later
>      select CC_GCC_USE_GMP_MPFR
>      select CC_GCC_USE_MPC
>      select CC_GCC_HAS_GRAPHITE
> @@ -508,6 +531,7 @@
>      string
>  # Don't remove next line
>  # CT_INSERT_VERSION_STRING_BELOW
> +    default "5.1.0" if CC_V_5_1_0
>      default "linaro-4.9-2015.03" if CC_V_linaro_4_9
>      default "4.9.2" if CC_V_4_9_2
>      default "4.9.1" if CC_V_4_9_1
>
> The error I got when compiling uclibc is the following, I just don't
> currently why I'm not getting it a gcc 4.x
>
> [ALL  ]      AS librt/mq_timedreceive.oS
> [ALL  ]      AS librt/mq_timedsend.oS
> [ALL  ]      AR cr librt/librt_so.a
> [ALL  ]      STRIP -x -R .note -R .comment librt/librt_so.a
> [ALL  ]      LD librt-0.9.33.2.so
> [ALL  ]    librt/librt_so.a(rt-unwind-resume.oS): In function `_Unwind_Resume':
> [ALL  ]    rt-unwind-resume.c:(.text+0x3c): undefined reference to
> `libgcc_s_resume'
> [ERROR]    collect2: error: ld returned 1 exit status
> [ERROR]    make[1]: *** [lib/librt.so] Error 1
>
> --
> For unsubscribe information see http://sourceware.org/lists.html#faq
>

I have a pull request open on github to add gcc-5.1 already. there
might be some patches forward ported from 4.9.x to 5.x to make uclibc
work(?).

-Bryan

--
For unsubscribe information see http://sourceware.org/lists.html#faq

Patch hide | download patch | download mbox

--- config/cc/gcc.in.old        2015-04-27 15:08:09.626475063 -0600
+++ config/cc/gcc.in    2015-04-27 15:08:32.117392406 -0600
@@ -36,6 +36,11 @@ 
 # Don't remove next line
 # CT_INSERT_VERSION_BELOW

+config CC_V_5_1_0
+    bool
+    prompt "5.1.0"
+    select CC_GCC_5_1
+
 config CC_V_linaro_4_9
     bool
     prompt "linaro-4.9-2015.03"
@@ -409,9 +414,27 @@ 
     bool
     select CC_GCC_4_8_or_later

-config CC_GCC_latest
+config CC_GCC_5_1
+    bool
+    select CC_GCC_5_1_or_later
+    select CC_GCC_USE_GMP_MPFR
+    select CC_GCC_USE_MPC
+    select CC_GCC_HAS_GRAPHITE
+    select CC_GCC_HAS_LTO
+    select CC_GCC_HAS_PKGVERSION_BUGURL
+    select CC_GCC_HAS_BUILD_ID
+    select CC_GCC_HAS_LNK_HASH_STYLE
+    select CC_GCC_HAS_LIBQUADMATH
+    select CC_GCC_HAS_LIBSANITIZER
+    select CC_SUPPORT_GOLANG
+
+config CC_GCC_5_1_or_later
     bool
     select CC_GCC_4_9_or_later
+
+config CC_GCC_latest
+    bool
+    select CC_GCC_5_1_or_later
     select CC_GCC_USE_GMP_MPFR
     select CC_GCC_USE_MPC
     select CC_GCC_HAS_GRAPHITE
@@ -508,6 +531,7 @@ 
     string
 # Don't remove next line
 # CT_INSERT_VERSION_STRING_BELOW
+    default "5.1.0" if CC_V_5_1_0
     default "linaro-4.9-2015.03" if CC_V_linaro_4_9
     default "4.9.2" if CC_V_4_9_2
     default "4.9.1" if CC_V_4_9_1